﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.32559
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

// 
// This code was auto-generated by Microsoft.Silverlight.ServiceReference, version 5.0.61118.0
// 
namespace DynamicForms.GlobalServices {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="GlobalServices.IDynamicService")]
    public interface IDynamicService {
        
        [System.ServiceModel.OperationContractAttribute(AsyncPattern=true, Action="http://tempuri.org/IDynamicService/LoadPages", ReplyAction="http://tempuri.org/IDynamicService/LoadPagesResponse")]
        System.IAsyncResult BeginLoadPages(System.AsyncCallback callback, object asyncState);
        
        System.Collections.Generic.List<string> EndLoadPages(System.IAsyncResult result);
        
        [System.ServiceModel.OperationContractAttribute(AsyncPattern=true, Action="http://tempuri.org/IDynamicService/LoadPage", ReplyAction="http://tempuri.org/IDynamicService/LoadPageResponse")]
        System.IAsyncResult BeginLoadPage(string fileName, System.AsyncCallback callback, object asyncState);
        
        string EndLoadPage(System.IAsyncResult result);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface IDynamicServiceChannel : DynamicForms.GlobalServices.IDynamicService, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class LoadPagesCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        public LoadPagesCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        public System.Collections.Generic.List<string> Result {
            get {
                base.RaiseExceptionIfNecessary();
                return ((System.Collections.Generic.List<string>)(this.results[0]));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class LoadPageCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        public LoadPageCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        public string Result {
            get {
                base.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class DynamicServiceClient : System.ServiceModel.ClientBase<DynamicForms.GlobalServices.IDynamicService>, DynamicForms.GlobalServices.IDynamicService {
        
        private BeginOperationDelegate onBeginLoadPagesDelegate;
        
        private EndOperationDelegate onEndLoadPagesDelegate;
        
        private System.Threading.SendOrPostCallback onLoadPagesCompletedDelegate;
        
        private BeginOperationDelegate onBeginLoadPageDelegate;
        
        private EndOperationDelegate onEndLoadPageDelegate;
        
        private System.Threading.SendOrPostCallback onLoadPageCompletedDelegate;
        
        private BeginOperationDelegate onBeginOpenDelegate;
        
        private EndOperationDelegate onEndOpenDelegate;
        
        private System.Threading.SendOrPostCallback onOpenCompletedDelegate;
        
        private BeginOperationDelegate onBeginCloseDelegate;
        
        private EndOperationDelegate onEndCloseDelegate;
        
        private System.Threading.SendOrPostCallback onCloseCompletedDelegate;
        
        public DynamicServiceClient() {
        }
        
        public DynamicServiceClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public DynamicServiceClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public DynamicServiceClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public DynamicServiceClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public System.Net.CookieContainer CookieContainer {
            get {
                System.ServiceModel.Channels.IHttpCookieContainerManager httpCookieContainerManager = this.InnerChannel.GetProperty<System.ServiceModel.Channels.IHttpCookieContainerManager>();
                if ((httpCookieContainerManager != null)) {
                    return httpCookieContainerManager.CookieContainer;
                }
                else {
                    return null;
                }
            }
            set {
                System.ServiceModel.Channels.IHttpCookieContainerManager httpCookieContainerManager = this.InnerChannel.GetProperty<System.ServiceModel.Channels.IHttpCookieContainerManager>();
                if ((httpCookieContainerManager != null)) {
                    httpCookieContainerManager.CookieContainer = value;
                }
                else {
                    throw new System.InvalidOperationException("Unable to set the CookieContainer. Please make sure the binding contains an HttpC" +
                            "ookieContainerBindingElement.");
                }
            }
        }
        
        public event System.EventHandler<LoadPagesCompletedEventArgs> LoadPagesCompleted;
        
        public event System.EventHandler<LoadPageCompletedEventArgs> LoadPageCompleted;
        
        public event System.EventHandler<System.ComponentModel.AsyncCompletedEventArgs> OpenCompleted;
        
        public event System.EventHandler<System.ComponentModel.AsyncCompletedEventArgs> CloseCompleted;
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.IAsyncResult DynamicForms.GlobalServices.IDynamicService.BeginLoadPages(System.AsyncCallback callback, object asyncState) {
            return base.Channel.BeginLoadPages(callback, asyncState);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Collections.Generic.List<string> DynamicForms.GlobalServices.IDynamicService.EndLoadPages(System.IAsyncResult result) {
            return base.Channel.EndLoadPages(result);
        }
        
        private System.IAsyncResult OnBeginLoadPages(object[] inValues, System.AsyncCallback callback, object asyncState) {
            return ((DynamicForms.GlobalServices.IDynamicService)(this)).BeginLoadPages(callback, asyncState);
        }
        
        private object[] OnEndLoadPages(System.IAsyncResult result) {
            System.Collections.Generic.List<string> retVal = ((DynamicForms.GlobalServices.IDynamicService)(this)).EndLoadPages(result);
            return new object[] {
                    retVal};
        }
        
        private void OnLoadPagesCompleted(object state) {
            if ((this.LoadPagesCompleted != null)) {
                InvokeAsyncCompletedEventArgs e = ((InvokeAsyncCompletedEventArgs)(state));
                this.LoadPagesCompleted(this, new LoadPagesCompletedEventArgs(e.Results, e.Error, e.Cancelled, e.UserState));
            }
        }
        
        public void LoadPagesAsync() {
            this.LoadPagesAsync(null);
        }
        
        public void LoadPagesAsync(object userState) {
            if ((this.onBeginLoadPagesDelegate == null)) {
                this.onBeginLoadPagesDelegate = new BeginOperationDelegate(this.OnBeginLoadPages);
            }
            if ((this.onEndLoadPagesDelegate == null)) {
                this.onEndLoadPagesDelegate = new EndOperationDelegate(this.OnEndLoadPages);
            }
            if ((this.onLoadPagesCompletedDelegate == null)) {
                this.onLoadPagesCompletedDelegate = new System.Threading.SendOrPostCallback(this.OnLoadPagesCompleted);
            }
            base.InvokeAsync(this.onBeginLoadPagesDelegate, null, this.onEndLoadPagesDelegate, this.onLoadPagesCompletedDelegate, userState);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.IAsyncResult DynamicForms.GlobalServices.IDynamicService.BeginLoadPage(string fileName, System.AsyncCallback callback, object asyncState) {
            return base.Channel.BeginLoadPage(fileName, callback, asyncState);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        string DynamicForms.GlobalServices.IDynamicService.EndLoadPage(System.IAsyncResult result) {
            return base.Channel.EndLoadPage(result);
        }
        
        private System.IAsyncResult OnBeginLoadPage(object[] inValues, System.AsyncCallback callback, object asyncState) {
            string fileName = ((string)(inValues[0]));
            return ((DynamicForms.GlobalServices.IDynamicService)(this)).BeginLoadPage(fileName, callback, asyncState);
        }
        
        private object[] OnEndLoadPage(System.IAsyncResult result) {
            string retVal = ((DynamicForms.GlobalServices.IDynamicService)(this)).EndLoadPage(result);
            return new object[] {
                    retVal};
        }
        
        private void OnLoadPageCompleted(object state) {
            if ((this.LoadPageCompleted != null)) {
                InvokeAsyncCompletedEventArgs e = ((InvokeAsyncCompletedEventArgs)(state));
                this.LoadPageCompleted(this, new LoadPageCompletedEventArgs(e.Results, e.Error, e.Cancelled, e.UserState));
            }
        }
        
        public void LoadPageAsync(string fileName) {
            this.LoadPageAsync(fileName, null);
        }
        
        public void LoadPageAsync(string fileName, object userState) {
            if ((this.onBeginLoadPageDelegate == null)) {
                this.onBeginLoadPageDelegate = new BeginOperationDelegate(this.OnBeginLoadPage);
            }
            if ((this.onEndLoadPageDelegate == null)) {
                this.onEndLoadPageDelegate = new EndOperationDelegate(this.OnEndLoadPage);
            }
            if ((this.onLoadPageCompletedDelegate == null)) {
                this.onLoadPageCompletedDelegate = new System.Threading.SendOrPostCallback(this.OnLoadPageCompleted);
            }
            base.InvokeAsync(this.onBeginLoadPageDelegate, new object[] {
                        fileName}, this.onEndLoadPageDelegate, this.onLoadPageCompletedDelegate, userState);
        }
        
        private System.IAsyncResult OnBeginOpen(object[] inValues, System.AsyncCallback callback, object asyncState) {
            return ((System.ServiceModel.ICommunicationObject)(this)).BeginOpen(callback, asyncState);
        }
        
        private object[] OnEndOpen(System.IAsyncResult result) {
            ((System.ServiceModel.ICommunicationObject)(this)).EndOpen(result);
            return null;
        }
        
        private void OnOpenCompleted(object state) {
            if ((this.OpenCompleted != null)) {
                InvokeAsyncCompletedEventArgs e = ((InvokeAsyncCompletedEventArgs)(state));
                this.OpenCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(e.Error, e.Cancelled, e.UserState));
            }
        }
        
        public void OpenAsync() {
            this.OpenAsync(null);
        }
        
        public void OpenAsync(object userState) {
            if ((this.onBeginOpenDelegate == null)) {
                this.onBeginOpenDelegate = new BeginOperationDelegate(this.OnBeginOpen);
            }
            if ((this.onEndOpenDelegate == null)) {
                this.onEndOpenDelegate = new EndOperationDelegate(this.OnEndOpen);
            }
            if ((this.onOpenCompletedDelegate == null)) {
                this.onOpenCompletedDelegate = new System.Threading.SendOrPostCallback(this.OnOpenCompleted);
            }
            base.InvokeAsync(this.onBeginOpenDelegate, null, this.onEndOpenDelegate, this.onOpenCompletedDelegate, userState);
        }
        
        private System.IAsyncResult OnBeginClose(object[] inValues, System.AsyncCallback callback, object asyncState) {
            return ((System.ServiceModel.ICommunicationObject)(this)).BeginClose(callback, asyncState);
        }
        
        private object[] OnEndClose(System.IAsyncResult result) {
            ((System.ServiceModel.ICommunicationObject)(this)).EndClose(result);
            return null;
        }
        
        private void OnCloseCompleted(object state) {
            if ((this.CloseCompleted != null)) {
                InvokeAsyncCompletedEventArgs e = ((InvokeAsyncCompletedEventArgs)(state));
                this.CloseCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(e.Error, e.Cancelled, e.UserState));
            }
        }
        
        public void CloseAsync() {
            this.CloseAsync(null);
        }
        
        public void CloseAsync(object userState) {
            if ((this.onBeginCloseDelegate == null)) {
                this.onBeginCloseDelegate = new BeginOperationDelegate(this.OnBeginClose);
            }
            if ((this.onEndCloseDelegate == null)) {
                this.onEndCloseDelegate = new EndOperationDelegate(this.OnEndClose);
            }
            if ((this.onCloseCompletedDelegate == null)) {
                this.onCloseCompletedDelegate = new System.Threading.SendOrPostCallback(this.OnCloseCompleted);
            }
            base.InvokeAsync(this.onBeginCloseDelegate, null, this.onEndCloseDelegate, this.onCloseCompletedDelegate, userState);
        }
        
        protected override DynamicForms.GlobalServices.IDynamicService CreateChannel() {
            return new DynamicServiceClientChannel(this);
        }
        
        private class DynamicServiceClientChannel : ChannelBase<DynamicForms.GlobalServices.IDynamicService>, DynamicForms.GlobalServices.IDynamicService {
            
            public DynamicServiceClientChannel(System.ServiceModel.ClientBase<DynamicForms.GlobalServices.IDynamicService> client) : 
                    base(client) {
            }
            
            public System.IAsyncResult BeginLoadPages(System.AsyncCallback callback, object asyncState) {
                object[] _args = new object[0];
                System.IAsyncResult _result = base.BeginInvoke("LoadPages", _args, callback, asyncState);
                return _result;
            }
            
            public System.Collections.Generic.List<string> EndLoadPages(System.IAsyncResult result) {
                object[] _args = new object[0];
                System.Collections.Generic.List<string> _result = ((System.Collections.Generic.List<string>)(base.EndInvoke("LoadPages", _args, result)));
                return _result;
            }
            
            public System.IAsyncResult BeginLoadPage(string fileName, System.AsyncCallback callback, object asyncState) {
                object[] _args = new object[1];
                _args[0] = fileName;
                System.IAsyncResult _result = base.BeginInvoke("LoadPage", _args, callback, asyncState);
                return _result;
            }
            
            public string EndLoadPage(System.IAsyncResult result) {
                object[] _args = new object[0];
                string _result = ((string)(base.EndInvoke("LoadPage", _args, result)));
                return _result;
            }
        }
    }
}
